#!/bin/sh
#
# Called from mdev
# Attemp to mount any added block devices 
# and remove any removed devices
#

MOUNT="/bin/mount"
UMOUNT="/bin/umount"
DEVNAME="/dev/$MDEV"
MPOINT="/mnt/$MDEV"

automount() {   
        ! test -d "$MPOINT" && mkdir -p "$MPOINT"
        
        if ! $MOUNT -t auto -o sync $DEVNAME "$MPOINT"
        then
                rmdir "$MPOINT"
        fi
}

if [ "$ACTION" = "add" ] && [ -n "$DEVNAME" ]; then
        $MOUNT $DEVNAME 2> /dev/null
        
        # If the device isn't mounted at this point, it isn't configured in fstab
        cat /proc/mounts | awk '{print $1}' | grep -q "^$DEVNAME$" || automount 
fi



if [ "$ACTION" = "remove" ] && [ -x "$UMOUNT" ] && [ -n "$DEVNAME" ]; then
        for mnt in `cat /proc/mounts | grep "$DEVNAME" | cut -f 2 -d " " `
        do
                $UMOUNT $mnt
                rmdir $mnt
        done
fi
